package com.bpa.scalage.HBL.Result;


public abstract class IResult {
    /**
     * 是否成功
     */
    public boolean isSuccess ;

    /**
     * 返回消息
     */
    public  String message;

    /**
     * 操作代码
     */
    public ResultCode resultCode = ResultCode.Default ;

    abstract void setErrorMsg(String msg);

    public boolean getIsSuccess(){
        return resultCode==ResultCode.Success;
    }

    public void setIsSuccess(boolean tempSuccess){
        isSuccess= tempSuccess;
        resultCode = tempSuccess ? ResultCode.Success : ResultCode.Fail;
    }
}
